Toybrick

Debian10内核版本和/lib/module中的文件版本不同

skyttttt

新手上路

积分
23
发表于 2023-3-22 22:51:54    查看: 2658|回复: 2 | [复制链接]    打印 | 显示全部楼层

版本不同,有个电机驱动板的数据需要读取,需要安装cdc_acm驱动模块,但是下载的时候需要这种问题

有没大佬知道怎么解决的,困扰我很久了

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
回复

使用道具 举报

skyttttt

新手上路

积分
23
 楼主| 发表于 2023-3-22 22:56:41 | 显示全部楼层
毕业设计用的RK3399Pro 结果碰到了这种情况。在虚拟机上都没有问题,数据都读的到
回复

使用道具 举报

jefferyzhang

版主

积分
13105
发表于 2023-3-23 08:50:49 | 显示全部楼层
下载rk提供的kernel,使用kernel里提供的头文件,如果要编译module,需要在kernel源码里编译。
嵌入式板子每一个都不一样,不通用
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表